org.apache.activemq.artemis.api.core.management

## Interface DivertControl

-     public interface DivertControl

  A DivertControl is used to manage a divert.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Returns the origin address used by this divert.
    `String` | `getFilter()` Returns the filter used by this divert.
    `String` | `getForwardingAddress()` Returns the forwarding address used by this divert.
    `String` | `getRoutingName()` Returns the routing name of this divert.
    `String` | `getRoutingType()` Returns the routing type used by this divert.
    `String` | `getTransformerClassName()` Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this divert.
    `Map<String,String>` | `getTransformerProperties()` Returns a map of the properties configured for the transformer.
    `String` | `getTransformerPropertiesAsJSON()` Returns a map of the properties configured for the transformer.
    `String` | `getUniqueName()` Returns the cluster-wide unique name of this divert.
    `boolean` | `isExclusive()` Returns whether this divert is exclusive.

- - ### Method Detail

    - #### getFilter

          String getFilter()

      Returns the filter used by this divert.

    - #### isExclusive

          boolean isExclusive()

      Returns whether this divert is exclusive.
      if `true` messages will be exclusively diverted and will not be routed to the origin address, else messages will be routed both to the origin address and the forwarding address.

    - #### getUniqueName

          String getUniqueName()

      Returns the cluster-wide unique name of this divert.

    - #### getRoutingName

          String getRoutingName()

      Returns the routing name of this divert.

    - #### getAddress

          String getAddress()

      Returns the origin address used by this divert.

    - #### getForwardingAddress

          String getForwardingAddress()

      Returns the forwarding address used by this divert.

    - #### getTransformerClassName

          String getTransformerClassName()

      Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this divert.

    - #### getTransformerPropertiesAsJSON

          String getTransformerPropertiesAsJSON()

      Returns a map of the properties configured for the transformer.

    - #### getTransformerProperties

          Map<String,String> getTransformerProperties()
                                               throws Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `Exception`

    - #### getRoutingType

          String getRoutingType()

      Returns the routing type used by this divert.

Copyright © 2018 The Apache Software Foundation. All rights reserved.